Get Contact
GET
/public/v1/contacts/{contact_id}
const url = 'https://api.nuntius.chat/public/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nuntius.chat/public/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Return a single live contact owned by the tenant.
Unknown/foreign/deleted -> 404.
Permiso necesario: tenant:contacts.read
Authorizations
Sección titulada «Authorizations»Parameters
Sección titulada «Parameters»Path Parameters
Sección titulada «Path Parameters»contact_id
required
Contact Id
string format: uuid
Responses
Sección titulada «Responses»Successful Response
Media typeapplication/json
PublicContactOut
A single contact, curated subset of the internal CustomerOut.
Drops signingEmail (INT-PANDADOC-1 internal-integration concern, meaningless to a third
party reading/writing contacts generically).
object
id
required
Id
string
marketingOptOut
required
Marketingoptout
boolean
origin
required
Origin
string
createdAt
required
Createdat
string
Examplegenerated
{ "id": "example", "fullName": "example", "phone": "example", "email": "example", "country": "example", "phoneVerifiedAt": "example", "emailVerifiedAt": "example", "marketingOptOut": true, "marketingOptOutAt": "example", "origin": "example", "createdAt": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}